# Uses of Class
java.util.logging.Logger

Packages that use Logger
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.

## Uses of Logger in java.sql

Methods in java.sql that return Logger
Modifier and Type
Method
Description
`Logger`
Driver.`getParentLogger()`
Return the parent Logger of all the Loggers used by this driver.

## Uses of Logger in java.util.logging

Fields in java.util.logging declared as Logger
Modifier and Type
Field
Description
`static Logger`
Logger.`global`
Deprecated.
Initialization of this field is prone to deadlocks.
Methods in java.util.logging that return Logger
Modifier and Type
Method
Description
`static Logger`
Logger.`getAnonymousLogger()`
Create an anonymous Logger.
`static Logger`
Logger.`getAnonymousLogger​(String resourceBundleName)`
Create an anonymous Logger.
`static Logger`
Logger.`getGlobal()`
Return global logger object with the name Logger.GLOBAL_LOGGER_NAME.
`static Logger`
Logger.`getLogger​(String name)`
Find or create a logger for a named subsystem.
`static Logger`
Logger.`getLogger​(String name, String resourceBundleName)`
Find or create a logger for a named subsystem.
`Logger`
LogManager.`getLogger​(String name)`
Method to find a named logger.
`Logger`
Logger.`getParent()`
Return the parent for this Logger.
Methods in java.util.logging with parameters of type Logger
Modifier and Type
Method
Description
`boolean`
LogManager.`addLogger​(Logger logger)`
Add a named logger.
`void`
Logger.`setParent​(Logger parent)`
Set the parent for this Logger.

## Uses of Logger in javax.sql

Methods in javax.sql that return Logger
Modifier and Type
Method
Description
`Logger`
CommonDataSource.`getParentLogger()`
Return the parent Logger of all the Loggers used by this data source.

## Uses of Logger in javax.sql.rowset.spi

Methods in javax.sql.rowset.spi that return Logger
Modifier and Type
Method
Description
`static Logger`
SyncFactory.`getLogger()`
Returns the logging object for applications to retrieve synchronization events posted by SyncProvider implementations.
Methods in javax.sql.rowset.spi with parameters of type Logger
Modifier and Type
Method
Description
`static void`
SyncFactory.`setLogger​(Logger logger)`
Sets the logging object to be used by the `SyncProvider` implementation provided by the `SyncFactory`.
`static void`
SyncFactory.`setLogger​(Logger logger, Level level)`
Sets the logging object that is used by `SyncProvider` implementations provided by the `SyncFactory` SPI.